Package org.drinkless.tdlib

# Class TdApi.InputMessageReplyToExternalMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageReplyTo
org.drinkless.tdlib.TdApi.InputMessageReplyToExternalMessage

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageReplyToExternalMessage extends TdApi.InputMessageReplyTo
Describes a message to be replied that is from a different chat or a forum topic; not supported in secret chats.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageReplyTo

  `TdApi.InputMessageReplyTo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  The identifier of the chat to which the message to be replied belongs.
  `int`
  `checklistTaskId`
  Identifier of the checklist task in the message to be replied; pass 0 to reply to the whole message.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  The identifier of the message to be replied in the specified chat.
  `String`
  `pollOptionId`
  Identifier of the poll option in the message to be replied; pass an empty string if none.
  `TdApi.InputTextQuote`
  `quote`
  Quote from the message to be replied; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageReplyToExternalMessage()`
  Describes a message to be replied that is from a different chat or a forum topic; not supported in secret chats.
  `InputMessageReplyToExternalMessage(long chatId, long messageId, TdApi.InputTextQuote quote, int checklistTaskId, String pollOptionId)`
  Describes a message to be replied that is from a different chat or a forum topic; not supported in secret chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    The identifier of the chat to which the message to be replied belongs.

  - ### messageId

    public long messageId
    The identifier of the message to be replied in the specified chat. A message can be replied in another chat or forum topic only if messageProperties.canBeRepliedInAnotherChat.

  - ### quote

    public TdApi.InputTextQuote quote
    Quote from the message to be replied; pass null if none.

  - ### checklistTaskId

    public int checklistTaskId
    Identifier of the checklist task in the message to be replied; pass 0 to reply to the whole message.

  - ### pollOptionId

    public String pollOptionId
    Identifier of the poll option in the message to be replied; pass an empty string if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageReplyToExternalMessage

    public InputMessageReplyToExternalMessage()
    Describes a message to be replied that is from a different chat or a forum topic; not supported in secret chats.

  - ### InputMessageReplyToExternalMessage

    public InputMessageReplyToExternalMessage(long chatId, long messageId, TdApi.InputTextQuote quote, int checklistTaskId, String pollOptionId)
    Describes a message to be replied that is from a different chat or a forum topic; not supported in secret chats.
    Parameters:
      `chatId` - The identifier of the chat to which the message to be replied belongs.
      `messageId` - The identifier of the message to be replied in the specified chat. A message can be replied in another chat or forum topic only if messageProperties.canBeRepliedInAnotherChat.
      `quote` - Quote from the message to be replied; pass null if none.
      `checklistTaskId` - Identifier of the checklist task in the message to be replied; pass 0 to reply to the whole message.
      `pollOptionId` - Identifier of the poll option in the message to be replied; pass an empty string if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageReplyTo`
    Returns:
      this.CONSTRUCTOR